Join us for Firebase Summit on November 10, 2021. Tune in to learn how Firebase can help you accelerate app development, release with confidence, and scale with ease. Register

Dépendances des SDK Android Firebase sur les services Google Play

Certains Firebase Android SDKs dépendent des services Google Play , ce qui signifie qu'ils ne fonctionnera que sur les appareils et émulateurs avec les services Google Play installés. Ces SDK Firebase communiquent avec le service d'arrière-plan des services Google Play sur l'appareil pour fournir une API sécurisée, à jour et légère à votre application. Certains appareils Android, tels que les appareils Amazon Kindle Fire ou ceux vendus dans certaines régions, ne disposent pas des services Google Play.

Quels SDK Firebase nécessitent les services Google Play ?

Les SDK Firebase peuvent être divisés en trois catégories :

  • Services de jeu requis - Ces kits de développement ont besoin de services Google Play, sinon ils ont aucune fonctionnalité.
  • Services de jeu recommandés - Ces kits de développement ont besoin de services Google Play pour avoir toutes les fonctionnalités, mais ils offrent encore la plupart des fonctionnalités même sans services Google Play.
  • Services de jeu pas requis - Ces kits de développement ne nécessitent pas de services Google Play pour avoir toutes les fonctionnalités.

Les tableaux ci - dessous sont exacts uniquement pour la dernière version de chaque SDK. Certaines versions plus anciennes peuvent avoir des exigences plus strictes.

Les services Google Play ne est pas nécessaire

Produit Une bibliothèque Services Google Play ?
Fournisseurs App Check personnalisés et de débogage com.google.firebase:firebase-appcheck:16.0.0-beta03
com.google.firebase:firebase-appcheck-debug:16.0.0-beta03
Non requis
Authentification com.google.firebase:firebase-auth:21.0.1
com.google.firebase:firebase-auth-ktx:21.0.1
Non requis
Cloud Firestore com.google.firebase:firebase-firestore:23.0.4
com.google.firebase:firebase-firestore-ktx:23.0.4
Non requis
Cloud Functions for Firebase Client SDK com.google.firebase:firebase-functions:20.0.1
com.google.firebase:firebase-functions-ktx:20.0.1
Non requis
Stockage cloud pour Firebase com.google.firebase:firebase-storage:20.0.0
com.google.firebase:firebase-storage-ktx:20.0.0
Non requis
Crashlytiques com.google.firebase:firebase-crashlytics:18.2.3
com.google.firebase:firebase-crashlytics-ktx:18.2.3
Non requis
Messagerie intégrée com.google.firebase:firebase-inappmessaging:20.1.0
com.google.firebase:firebase-inappmessaging-ktx:20.1.0
Non requis
Affichage de la messagerie dans l'application com.google.firebase:firebase-inappmessaging-display:20.1.0
com.google.firebase:firebase-inappmessaging-display-ktx:20.1.0
Non requis
Installations de base de feu com.google.firebase:firebase-installations:17.0.0
com.google.firebase:firebase-installations-ktx:17.0.0
Non requis
Suivi de la performance com.google.firebase:firebase-perf:20.0.3
com.google.firebase:firebase-perf-ktx:20.0.3
Non requis
Base de données en temps réel com.google.firebase:firebase-database:20.0.2
com.google.firebase:firebase-database-ktx:20.0.2
Non requis
Configuration à distance com.google.firebase:firebase-config:21.0.1
com.google.firebase:firebase-config-ktx:21.0.1
Non requis
Produit Une bibliothèque Services Google Play ?
AdMob com.google.android.gms:play-services-ads:20.4.0 Conseillé*
Analytique com.google.firebase:firebase-analytics:19.0.2
com.google.firebase:firebase-analytics-ktx:19.0.2
Conseillé*
Fournisseur App Check SafetyNet com.google.firebase:firebase-appcheck-safetynet:16.0.0-beta03 Obligatoire
Indexation des applications com.google.firebase:firebase-appindexing:20.0.0 Obligatoire
Messagerie Cloud com.google.firebase:firebase-messages:22.0.0
com.google.firebase:firebase-messaging-ktx:22.0.0
Obligatoire
Liens dynamiques com.google.firebase:firebase-dynamic-links:20.1.1
com.google.firebase:firebase-dynamic-links-ktx:20.1.1
Obligatoire
Firebase ML Vision com.google.firebase:firebase-ml-vision:24.1.0 Obligatoire
Modèle personnalisé Firebase ML com.google.firebase:firebase-ml-model-interpreter:22.0.4 Obligatoire

* Le SDK Firebase pour Google Analytics peut envoyer des événements sur n'importe quel appareil, mais certaines informations automatiques telles que les données démographiques ne sont disponibles que sur les appareils dotés des services Google Play.